Summary:	MPlayer frontend for KDE
Name:		kplayer
Version:	0.6.3
Release:	%mkrel 2
License:	GPL
Group:		Video
Url:		http://kplayer.sourceforge.net/
Source:	        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2	
BuildRequires:	libarts-devel 
BuildRequires:  libvorbis-devel
BuildRequires:	libmad-devel 
BuildRequires:  nas-devel 
BuildRequires:	kdelibs-devel 
BuildRequires:  libart_lgpl-devel	
%ifarch x86_64
Buildrequires:	chrpath
%endif
Requires:	mplayer
Requires:       kdelibs-common
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KPlayer is a KDE media player based on MPlayer. With KPlayer 
you can easily play a wide variety of video and audio files 
and streams using a rich and friendly interface that
follows KDE standards.

Features include

    * video, audio and subtitle playback from file,
       URL, DVD, VCD, audio CD, TV, DVB, etc.,
       as well as KDE I/O Slaves;
    * volume, contrast, brightness, hue and saturation controls;
    * zooming, full screen and fixed aspect options;
    * status and progress display and seeking;
    * playlist;
    * message log;
    * configuration dialog;
    * file properties for setting file specific options.

KPlayer is available in Catalonian, Czech, Danish, English,
Finnish, French, German, Hungarian, Italian, Polish, Russian, 
Simplified Chinese and Spanish. 

%prep
%setup -q


%build
make -f Makefile.dist

%configure2_5x \
	--disable-rpath \
	--enable-nmcheck \
	--enable-pch \
	--enable-final \
	%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
	%endif
	--enable-new-ldflags
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/%{name}
chrpath -d %{buildroot}%{_libdir}/kde3/libkplayerpart.so
%endif

%find_lang %{name}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_docdir}/*/*/%{name}
%attr(755,root,root) %{_bindir}/kplayer
%attr(755,root,root) %{_libdir}/kde3/*.la
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_datadir}/applications/kde/%{name}.desktop
%dir %{_datadir}/apps/kplayer
%{_datadir}/apps/kplayer/icons/hicolor/*/*/*.png
%{_datadir}/apps/kplayer/COPYING
%{_datadir}/apps/kplayer/*.rc
%{_datadir}/apps/kplayer/*.conf
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/locolor/*/*/*.png
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/services/kplayerpart.desktop


%changelog
* Tue Jul 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.3-2mdv2008.0
+ Revision: 57101
- fix configure option

* Tue Jul 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.3-1mdv2008.0
+ Revision: 57022
- drop non-fd.o icons dir
- pass some optimize options to configure
- fix file list
- new version

* Thu May 17 2007 Funda Wang <fundawang@mandriva.org> 0.6.2-1mdv2008.0
+ Revision: 27564
- New upstream version 0.6.2


* Mon Mar 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2007.0
+ Revision: 133013
- new version

* Sat Jan 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 114246
- new version 0.6.0
- clean requires and buildrequires
- fix build
- remove rpath for x86_64
- spec file clean

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - clean File List

* Tue Jul 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.3-5mdv2007.0
+ Revision: 38343
- Increase release
- Use macros for icons
- Fix macros for docdir, iconsdir, ...
- Fix menu for xdg menu
- import kplayer-0.5.3-4mdk

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-4mdk
- Fix build for non-i586

* Wed Jul 13 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-3mdk
- Fix conflicts

* Mon Mar 28 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-2mdk
- %%{1}mdv2007.1

* Mon Mar 28 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-1mdk
- New version

* Fri Feb 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.2-1mdk
-initial package

